<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>esercizio2 </title>
  <style>
    .x{
      color: red;
      border: 2px solid black;
      

    }
    .x:hover {
      background-color: red;
      color: black;
      cursor: pointer;
    }
  </style>
</head>

<body>
  <h4>ELEMENTI</h4>
  <ul id="lista">

  </ul>
  <button onclick="main()">Aggiungi</button>
  <button onclick="inviaMessaggi()">Invia</button>
  <script>

    let listaMessaggi = [];

    function main(){
       let messaggio= prompt("aggiungi un elemento");
       console.log(messaggio)
       if(messaggio){
         listaMessaggi.push(messaggio);
       }
       visualizzaMessaggi();
    }

    function visualizzaMessaggi() {
      let l = document.getElementById("lista");
      l.innerHTML = '';
      listaMessaggi.forEach((item, idx) =>  l.innerHTML+="<li>[" + item + " ] <button onclick='cancella("+idx+")'>x</button></li>");
    }

    function cancella(idx){
      if(confirm("Sicuro di eliminare questo elemento?")) {
          listaMessaggi.splice(idx, 1);
        }
        visualizzaMessaggi();
    }


    function estraiDati()
    {
      let tuttiGliLi = document.querySelectorAll("#lista li");
      let listaLi = [];
      tuttiGliLi.forEach( item => listaLi.push(item.innerHTML));

    }
    
    function inviaMessaggi() {
      console.log(listaMessaggi);
    }

    const b = a;
  </script>
</body>
</html>